#
# spec file for package x86info (Version 1.27)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           x86info
License:        GPL v2 only
Url:            http://www.codemonkey.org.uk/projects/x86info/
Group:          System/Monitoring
AutoReqProv:    on
Version:        1.27
Release:        1.2
Summary:        Show x86 CPU Information
Source:         http://www.codemonkey.org.uk/x86info/%{name}-%{version}.tar.bz2
BuildRequires:  gcc python
ExclusiveArch:  %{ix86} x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Unlike other 'cpuinfo' tools which just parse /proc/cpuinfo, x86info
probes the CPU registers to find out more information. It can discover
the contents of model-specific registers, discover CPU silicon
revisions, and more.



Authors:
--------
    Dave Jones <davej@codemonkey.org.uk>

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 x86info $RPM_BUILD_ROOT/usr/bin
install -m 644 x86info.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 lsmsr $RPM_BUILD_ROOT/usr/sbin
install -m 644 lsmsr.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc %{_mandir}/man1/%{name}.1.gz
%doc %{_mandir}/man8/lsmsr.8.gz
%doc README TODO
%{_bindir}/%{name}
%{_sbindir}/lsmsr

%changelog
* Wed Sep 29 2010 Carsten Schoene <cs@linux-administrator.com> - 1.27-1
- update to version 1.27

* Sun Mar 28 2010 Carsten Schoene <cs@linux-administrator.com> - 1.25-1
- update to version 1.25

* Sat Feb  7 2009 bwalle@suse.de
- Update to version 1.24
  o Add Core i7 cache descriptors.
  o Check for a minimum version of glibc, as the affinity calls
  o Bump copyright
  o Atom series 200
  o Atom series 300
  o Atom N270 series
  o Add Atom.
  o Add Nehalem.
  o Ugh, decoding this lot is going to be a nightmare.
  o Add some more quad-core2's
  o Add Intel® Core™2 Extreme Processor QX9775
  o Add all core2 quad definitions from 318727.pdf
  o Warn on redundant declarations.  Remove some duplicates.
  o Add some extra warnings (missing declarations) and fix up a
    bunch
  o Fix up warnings. Add -Werror to catch new ones.
* Wed Jan  7 2009 bbrunner@suse.de
- update to version 1.23
* Thu May  8 2008 crrodriguez@suse.de
- use RPM_OPT_FLAGS
- update to version 1.21 (see ChangeLog for full list of changes)
* Tue Sep 11 2007 bwalle@suse.de
- update to version 1.20
* Fri Jul 26 2002 rommel@suse.de
- Update to version 1.10 (see ChangeLog for full list of changes)
* Thu Dec 20 2001 grimmer@suse.de
- Update to version 1.7 (see ChangeLog for full list of changes)
* Thu Nov 22 2001 grimmer@suse.de
- Update to version 1.6 (see ChangeLog for full list of changes)
* Tue Aug 28 2001 grimmer@suse.de
- Initial package for SuSE Linux (Version 1.5)
